<?php

namespace FiloBlu\Storelocator\Model\Rma;

class Item extends \Magento\Rma\Model\Item
{
    public function getOrigData($key = null)
    {

        $origData = parent::getOrigData($key);

        if ($key == 'status') {
            if ($this->getStatus() == 'received' && $origData == \FiloBlu\Storelocator\Model\Plugin\Rma\Source\Status::STATE_RECEIVED_IN_STORE) {
                return 'received';
            }
        }

        return $origData;
    }
}